<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">
<div th:replace="fragments/head :: head"></div> <!--Carga el fragmento head-->

<body id="body-index">


<div th:replace="fragments/header-ejecutivo :: header"></div><!--Carga el fragmento header-->


<div class="container" id="container">
    <div class="admin-container">
        <a href="/servicio/crear"> <!--Botón agregar servicio, que redirige al formulario para ingresar maquinaria-->
            <button type="button" class="btn btn-success btn-md" style="margin-bottom: 15px;"><span
                    class="glyphicon glyphicon-plus" aria-hidden="true"></span> Agregar Servicio
            </button>
        </a>
        <div class="panel panel-default">
            <div class="panel-heading">Servicio</div>
            <table class="table table-striped table-bordered" id="category-table">
                <tr th:each="servicio: ${serviciosData}" > <!--recorre la  lista de maquinarias "maquinariasData" que fue entregada por el webController-->
                    <td th:text="${servicio.getIdServicio()}">Código</td>
                    <td th:text="${servicio.getPrecio()}">Precio</td> <!--Se muestran los atributos de las maquinarias-->
                    <td th:text="${servicio.getDetalle()}">Detalle</td>
                    <td> <!--Columna que muestra 2 botones para poder editar y eliminar(cambiar el atributo "visible" a false)-->
                        <div class="action-button">
                            <a th:href="|/servicio/editar/${servicio.getIdServicio()}|"> <!--Si se quiere editar el servicio, se redirigirá a otra página-->
                                <button class="btn btn-info" style="margin: 2px;">
                                    <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
                                </button>
                            </a>
                            <!--<div class="action-button"> <--Si se quiere eliminar el servicio, se llama a un script y se le entregan el codigo, nombre e id de la maquinaria->
                            <button onclick="eliminar(this)"
                                    th:attr="data-nombre=${servicio.getDetalle()}, data-precio=${servicio.getPrecio()}, data-id=${servicio.getIdServicio()}"
                                    class="btn btn-danger"
                                    style="margin: 2px;"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                            </button>
                        </div>-->
                        </div>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</div>

<!--Carga algunos scripts de ajax-->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous">
</script>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.16/js/dataTables.bootstrap.min.js"></script>

<script>
    $(document).ready(function () {

        <!--Da nombre a las columnas de la tabla y activa la paginación-->
        $('#category-table').DataTable({
            "paging": true,
            columns: [
                {data: "idServicio", title: "Código"},
                {data: "detalle", title: "Detalle"},
                {data: "precio", title: "Precio"},
                {data: "edit", title: " "}
            ]
        });
    });

    function eliminar(button) { <!--Cuando se presiona el botón eliminar-->
        var detalle = $(button).data("detalle");
        var precio = $(button).data("precio");
        var id = $(button).data("id");

        <!--Se despliega una ventana de confirmación con algunos datos de la maquinaria-->
        <!--Si se confirma, se envía el id de la maqinaria a eliminar al url /maquinaria/borrar-->
        if (confirm("Confirma que desea eliminar el servicio " + detalle + " y precio " + precio)) {
            $.ajax({
                type: "PUT",
                contentType: 'application/json',
                url: "http://localhost:8080/servicio/borrar/" + id
            }).done(function (message) {
                location.href = "http://localhost:8080/servicios";
            }).fail(function (e) {
                console.log("error " + e);
            });
        }
    }
</script>
</body>

<div th:replace="fragments/footer :: footer"></div> <!--Carga el fragmento footer-->

</html>